// Product groups and conprehehnsive expressions in Amazon.co.jp
var FieldMap_jp
= { "Blended":"全ての商品", 
    "Books":"和書", 
    "ForeignBooks":"洋書", 
    "Electronics":"エレクトロニクス", 
    "Software":"ソフトウェア",
    "VideoGames":"ゲーム", 
    "Music":"ポピュラー音楽", 
    "MusicTracks":"洋楽",
    "Classical":"クラシック", 
    "DVD":"DVD",
    "VHS":"ビデオ", 
    "Kitchen":"ホーム＆キッチン" , 
    "Toys":"おもちゃ＆ホビー" };
//"SportingGoods":"スポーツ",
var CategoryMap_jp
= { "Book":"本", "DVD":"DVD", "VHS":"VHS", 
    "Video":"ビデオ", "Video Games":"テレビゲーム", 
    "CE":"エレクトロニクス", 
    "Kitchen":"ホーム＆キッチン" , 
    "Software":"ソフトウェア", "SportingGoods":"スポーツ",
    "Jewerly":"ジュエリー", "Watch":"時計", "Apparel":"アパレル", 
    "Toy":"おもちゃ", "Music":"音楽", "MusicTracks":"洋楽",
    "Classical":"クラシック音楽"
};

// Product groups and conprehehnsive expressions in Amazon.com
var FieldMap_us
= { "Blended":"All",
    "Apparel":"Apparel",
    "Baby":"Baby Products",
    "Beauty":"Beauty",
    "Books":"Books",
    "Classical":"Classical",
    "DVD":"DVD",
    "Electronics":"Electronics",
    "GourmetFood":"Gounrmet",
    "HealthPersonalCare":"Health Care",
    "Jewelry":"Jewelry",
    "Kitchen":"Kitchen",
    "Magazines":"Magazines",
    "Music":"Music",
    "OfficeProducts":"Office",
    "OutdoorLiving":"Outdoor",
    "PCHardware":"PC Hardware",
    "PetSupplies":"Pet Supplies",
    "Photo":"Photography",
    "Tools":"Tools",
    "Restaurants":"Restaurant",
    "Software":"Software",
    "SportingGoods":"Sports",
    "Toys":"Toys",
    "VHS":"VHS",
    "Video":"Video",
    "VideoGames":"Video Games" };
// abbreviation map
var CategoryMap_us
= { "CE":"Electronics", "Photography":"Photo" };

// Product groups and conprehehnsive expressions in Amazon.co.uk
var FieldMap_uk
= { "Blended":"All",
    "Books":"Books",
    "Classical":"Classical",
    "DVD":"DVD",
    "Electronics":"Electronics",
    "HealthPersonalCare":"Health Care",
    "Home Improvement":"Tools",
    "Kitchen":"Kitchen",
    "Music":"Music",
    "OutdoorLiving":"Outdoor",
    "Tools":"Tools",
    "Software":"Software",
    "Toys":"Toys",
    "VHS":"VHS",
    "Video":"Video",
    "VideoGames":"Video Games" };

var CategoryMap_uk = {
    "CE":"Electronics",
    "Home Improvement":"Tool",
    "Video Games":"Video Games",
    "Health and Beauty":"Health & Beauty"
};

// define default maps
var FieldMap = FieldMap_us;
var CategoryMap = CategoryMap_us;


//  default sort orders
//  additional orders can be added using comma-separated elements such
// as 'sale-flag:Sales'
var sortOrders = [ 
    "Default", 
    "Bestselling", 
    "Price: Low to High", 
    "Price: High to Low", 
    "Alphabetical: A to Z", 
    "Alphabetical: Z to A",
    "Release Date", "Review Rate" ];

// for Amazon.com
var availableSortOrder = new Array();
availableSortOrder[ "US_Blended" ]  = [ '', null, null, null, null, null, null, null ];
availableSortOrder[ "US_Apparel" ]  = [ '', 'salesrank', 'inverseprice', 'pricerank', null, null, '-launch-date', null, 'sale-flag,Sales' ];
availableSortOrder[ "US_Baby" ]  = [ '', 'salesrank', 'price', '-price', null, 'titlerank', null, null ];
availableSortOrder[ "US_Beauty" ]  = [ '', 'salesrank', null, null, null, null, '-launch-date', null, 'sale-flag,Sales' ];
availableSortOrder[ "US_Books" ]  = [ '', 'salesrank', 'pricerank', 'inverse-pricerank', 'titlerank', '-titlerank', null, null ];
availableSortOrder[ "US_Classical" ]  = [ '', 'salesrank', 'price', '-price', 'titlerank', null, 'orig-rel-date', null ];
availableSortOrder[ "US_DVD" ]  = [ '', 'salesrank', 'price', '-price', 'titlerank', null, '-video-release-date', null ];
availableSortOrder[ "US_Electronics" ]  = [ '', 'salesrank', 'price', '-price', 'titlerank', null, null, 'reviewrank' ];
availableSortOrder[ "US_GourmetFood" ]  = [ '', 'salesrank', 'pricerank', 'inverseprice', null,  null, 'launch-date', null, 'sale-flag,Sales' ];
availableSortOrder[ "US_HealthPersonalCare" ]  = [ '', 'salesrank', null, null, null,  null, 'launch-date', null, 'sale-flag,Sales' ];
availableSortOrder[ "US_Jewelry" ]  = [ '', 'salesrank', 'pricerank', 'inverseprice', null,  null, 'launch-date', null ];
availableSortOrder[ "US_Kitchen" ]  = [ '', 'salesrank', 'price', '-price', 'titlerank', '-titlerank', null, null ];
availableSortOrder[ "US_Magazines" ]  = [ '', 'subslot-salesrank', 'price', '-price', 'titlerank', '-titlerank', 'daterank', 'reviewrank' ];
availableSortOrder[ "US_Music" ]  = [ '', 'salesrank', 'price', '-price', 'titlerank', '-titlerank', 'orig-rel-date', null, 'artistrank,Artist' ];
availableSortOrder[ "US_OfficeProducts" ]  = [ '', 'salesrank', 'price', '-price', 'titlerank', null, null, 'reviewrank' ];
availableSortOrder[ "US_OutdoorLiving" ]  = [ '', 'salesrank', 'price', '-price', 'titlerank', '-titlerank',  null, null ];
availableSortOrder[ "US_PCHardware" ]  = [ '', 'salesrank', 'price', '-price', 'titlerank', null, null, null ];
availableSortOrder[ "US_PetSupplies" ]  = [ '', 'salesrank', 'price', '-price', 'titlerank', '-titlerank', null, null ];
availableSortOrder[ "US_Photo" ]  = [ '', 'salesrank', 'price', '-price', 'titlerank', '-titlerank', null, null ];
availableSortOrder[ "US_Tools" ]  = [ '', 'salesrank', 'price', '-price', 'titlerank', '-titlerank', null, null ];
availableSortOrder[ "US_Restaurants" ]  = [ '', null, null, null, 'titlerank', null, null, null ];
availableSortOrder[ "US_Software" ]  = [ '', 'salesrank', 'price', '-price', 'titlerank', null, null, null ];
availableSortOrder[ "US_SportingGoods" ]  = [ '', 'salesrank', 'pricerank', 'inverseprice', null, null, 'launch-date', null, 'sale-flag,Sales' ];
availableSortOrder[ "US_Toys" ]  = [ '', 'salesrank', 'price', '-price', 'titlerank', null, null, null, "-age-min,Minimum Age: Low to High" ];
availableSortOrder[ "US_VHS" ]  = [ '', 'salesrank', 'price', '-price', 'titlerank', null, '-video-release-date', null ];
availableSortOrder[ "US_Video" ]  = [ '', 'salesrank', 'price', '-price', 'titlerank', '-titlerank', '-video-release-date', null ];
availableSortOrder[ "US_VideoGames" ]  = [ '', 'salesrank', 'price', '-price', 'titlerank', null, null, null ];


// Japan
availableSortOrder[ "JP_Blended" ]  = [ '', null, null, null, null, null, null, null ];
availableSortOrder[ "JP_Books" ]  = [ '', 'salesrank', 'pricerank', 'inverse-pricerank', 'titlerank', '-titlerank', 'daterank', null ];
availableSortOrder[ "JP_ForeignBooks" ]  = [ '', 'salesrank', 'pricerank', 'inverse-pricerank', 'titlerank', '-titlerank', 'daterank', null ];
availableSortOrder[ "JP_Electronics" ]  = [ '', 'salesrank', 'price', '-price', 'titlerank', '-titlerank', 'release-date', null ];
availableSortOrder[ "JP_Software" ]  = [ '', 'salesrank', 'price', '-price', 'titlerank', '-titlerank', 'release-date', null, '-release-date,Inverse Release Date' ];
availableSortOrder[ "JP_VideoGames" ]  = [ '', 'salesrank', 'price', '-price', 'titlerank', '-titlerank', 'release-date', null, '-release-date,Inverse Release Date' ];
availableSortOrder[ "JP_Music" ]  = [ '', 'salesrank', 'pricerank', '-pricerank', 'titlerank', '-titlerank', '-orig-rel-date', null ];
availableSortOrder[ "JP_MusicTracks" ]  = [ '', null, null, null, 'titlerank', '-titlerank', null, null ];
availableSortOrder[ "JP_Classical" ]  = [ '', 'salesrank', 'pricerank', '-pricerank', 'titlerank', '-titlerank', '-orig-rel-date', null ];
availableSortOrder[ "JP_DVD" ]  = [ '', 'salesrank', 'pricerank', '-pricerank', 'titlerank', '-titlerank', '-orig-rel-date', null ];
availableSortOrder[ "JP_VHS" ]  = [ '', 'salesrank', 'pricerank', '-pricerank', 'titlerank', '-titlerank', '-orig-rel-date', null ];
availableSortOrder[ "JP_Kitchen" ]  = [ '', 'salesrank', 'price', '-price', 'titlerank', '-titlerank', 'release-date', null, '-release-date,Inverse Release Date' ];
availableSortOrder[ "JP_Toys" ]  = [ '', 'salesrank', 'price', '-price', 'titlerank', '-titlerank', 'release-date', null, '-release-date,Inverse Release Date' ];


// UK
availableSortOrder[ "UK_Books" ]  = [ '', 'salesrank', 'pricerank', 'inverse-pricerank', 'titlerank', '-titlerank', 'pubdate', 'reviewrank' ];
availableSortOrder[ "UK_Classical" ]  = [ '', 'salesrank', 'price', 'inverse-pricerank', 'titlerank', '-titlerank', null, 'reviewrank' ];
availableSortOrder[ "UK_DVD" ]  = [ '', 'salesrank', 'price', 'inverse-pricerank', 'titlerank', '-titlerank', 'daterank', 'reviewrank' ];
availableSortOrder[ "UK_Electronics" ] = [ '', 'salesrank', 'price', 'inverse-pricerank', 'titlerank', '-titlerank', 'daterank', 'reviewrank' ];
availableSortOrder[ "UK_HealthPersonalCare" ] = [ '', 'salesrank', 'price', '-price', 'titlerank', '-titlerank', 'daterank', 'reviewrank' ];
availableSortOrder[ "UK_Kitchen" ] = [ '', 'salesrank', 'price', '-price', 'titlerank', '-titlerank', 'daterank', 'reviewrank' ];
availableSortOrder[ "UK_Music" ] = [ '', 'salesrank', 'price', 'inverse-pricerank', 'titlerank', '-titlerank', null, 'reviewrank' ];
availableSortOrder[ "UK_OutdoorLiving" ] = [ '', 'salesrank', 'price', '-price', 'titlerank', '-titlerank', 'daterank', 'reviewrank' ];
availableSortOrder[ "UK_Tools" ] = [ '', 'salesrank', 'price', '-price', 'titlerank', '-titlerank', null, 'reviewrank' ];
availableSortOrder[ "UK_Software" ] = [ '', 'salesrank', 'price', 'inverse-pricerank', 'titlerank', '-titlerank', 'daterank', 'reviewrank' ];
availableSortOrder[ "UK_Toys" ] = [ '', 'salesrank', 'price', '-price', null, null, null, null, 'mfg-age-min,Minimum Age: Low to High', '-mfg-age-min,Minimum Age: High to Low' ];
availableSortOrder[ "UK_VHS" ] = [ '', 'salesrank', 'price', 'inverse-pricerank', 'titlerank', '-titlerank', 'daterank', 'reviewrank' ];
availableSortOrder[ "UK_Video" ] = [ '', 'salesrank', 'price', 'inverse-pricerank', 'titlerank', '-titlerank', null, 'reviewrank' ];
availableSortOrder[ "UK_VideoGames" ] = [ '', 'salesrank', 'price', 'inverse-pricerank', 'titlerank', '-titlerank', 'daterank', 'reviewrank' ];


//  The list below describes all options AWS accepts as sort order.
//  Sorting commands differs for product groups and they must be set
// as specific keywords.

// sort salesrank, pricerank, -titlerank, inverse-pricerank, salesrank, titlerank, release-date, -release-date
// apparel : relevancerank, pricerank, -launch-date, sale-flag, inverseprice, salesrank.
// baby : psrank, -price, price, salesrank, titlerank.
// books : daterank, pricerank, -titlerank, inverse-pricerank, salesrank, titlerank
// classical: psrank, -titlerank, -price, price, salesrank, titlerank, orig-rel-date.
// dvd : relevancerank, -video-release-date, -price, price, salesrank, titlerank.
// electronics : -price, pmrank, price, reviewrank, salesrank, titlerank.
// gourmet : launch-date, relevancerank, pricerank, sale-flag, inverseprice, salesrank.
// health : launch-date, pricerank, sale-flag, pmrank, inverseprice, salesrank.
// jewerly: launch-date, pricerank, pmrank, inverseprice, salesrank.
// kitchen: -titlerank, -price, pmrank, price, salesrank, titlerank.
// magazines: daterank, -titlerank, -price, price, reviewrank, subslot-salesrank, titlerank.
// music: psrank, artistrank, -titlerank, -price, price, salesrank, titlerank, orig-rel-date.
// office: -price, pmrank, price, reviewrank, salesrank, titlerank.
// outdoor: psrank, -titlerank, -price, price, salesrank, titlerank.
// pc hardware: psrank, -price, price, salesrank, titlerank.
// pet : -titlerank, -price, price, salesrank, +pmrank, titlerank.
// photo: -titlerank, -price, pmrank, price, salesrank, titlerank.
// tools:-titlerank, -price, pmrank, price, salesrank, titlerank.
// restaurant:relevance, titlerank.
// software:-price, pmrank, price, salesrank, titlerank.
// sports:launch-date, relevancerank, pricerank, sale-flag, inverseprice, salesrank.
// toys:-age-min, -price, pmrank, price, salesrank, titlerank.
// vhs:relevancerank, -video-release-date, -price, price, salesrank, titlerank.

// video:relevancerank, -video-release-date, -price, price, salesrank, titlerank.
// videogame:-price, pmrank, price, salesrank, titlerank.
// videogame : release-date, -release-date, -titlerank, -price, price, salesrank, titlerank

//japan
// books-jp: daterank, pricerank, -titlerank, inverse-pricerank, salesrank, titlerank
// books: daterank, pricerank, -titlerank, inverse-pricerank, salesrank, titlerank
// electronics:release-date, -release-date, -titlerank, -price, price, salesrank, titlerank
// software:release-date, -release-date, -titlerank, -price, price, salesrank, titlerank
// game: release-date, -release-date, -titlerank, -price, price, salesrank, titlerank
// music:-orig-rel-date, pricerank, -titlerank, salesrank, titlerank, orig-rel-date, -pricerank
// fmusic:titlerank, -titlerank
// classic:-orig-rel-date, pricerank, -titlerank, salesrank, titlerank, orig-rel-date, -pricerank
// dvd:-orig-rel-date, pricerank, -titlerank, salesrank, titlerank, orig-rel-date, -pricerank
// video:-orig-rel-date, pricerank, -titlerank, salesrank, titlerank, orig-rel-date, -pricerank
// kitchen:salesrank, release-date, titlerank, -titlerank, -price, price, -release-date
// toys: release-date, -release-date, -titlerank, -price, price, salesrank, titlerank

//UK
// books:daterank, pubdate, pricerank, -titlerank, inverse-pricerank, reviewrank, salesrank, titlerank.
// classical:inverse-pricerank, price, reviewrank, salesrank, titlerank, -titlerank.
// dvd:daterank, -titlerank, inverse-pricerank, price, reviewrank, salesrank, titlerank.
// electronics:daterank, -titlerank, inverse-pricerank, price, reviewrank, salesrank, titlerank.
// health:daterank, -titlerank, -price, price, reviewrank, salesrank, titlerank.
// kitchen:daterank, -titlerank, -price, price, reviewrank, salesrank, titlerank.
// music:-titlerank, inverse-pricerank, price, reviewrank, salesrank, titlerank.
// outdoor:daterank, -titlerank, -price, price, reviewrank, salesrank, titlerank.
// tools:daterank, -titlerank, -price, price, reviewrank, salesrank, titlerank.
// software:daterank, -titlerank, inverse-pricerank, price, reviewrank, salesrank, titlerank.
// toys:-mfg-age-min, -price, price, salesrank, mfg-age-min.
// vhs:daterank, -titlerank, inverse-pricerank, price, reviewrank, salesrank, titlerank.
// video:-titlerank, inverse-pricerank, price, reviewrank, salesrank, titlerank.
// videogame:daterank, -titlerank, inverse-pricerank, price, reviewrank, salesrank, titlerank.


